<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
 <head>
  <title>MM-184: Fort Drum Service Plaza</title>
  <meta name="Generator" content="EditPlus">
  <meta name="Author" content="">
  <meta name="Keywords" content="">
  <meta name="Description" content="">
 </head>
 <body><prev>
<font color = "FFFFFF">
<B><center>MM-184: Fort Drum Service Plaza</center></B>
<br>
Fort Drum Service Plaza at Mile Marker 184 - This plaza is located near Okeechobee, Florida and services the northbound and southbound travel lanes.<br>
<br>
<B>Contact Info:</B><br>
<I>
Service Station: 863-763-9383<br>
Food Court: 863-216-5743<br>
</I>
<br>

<B>Gas station & Convenience Store: </B><br>
<I>Shell Gasoline<br></I>
<br>

<B>Fuel Types:</B><br>
<I>
Gasoline<br>
Deisel<br>
</I>
<br>

<b>Coffee/Food/Restaurant/Snack:</b><br>
<I>
Cheeburger Cheeburger<br>
Dunkin Donuts<br>
Earl Of Sandwich<br>
KFC<br>
Villa Pizza<br>
</I>
</font>
</prev></body>
</html>
